> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List secondary zones

> List secondary zones with dns-api pagination parameters.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/dns_api.yaml get /dns/v2/secondary-zones
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DNS API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 0929afaaccd0
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Analyze
  - name: Clients
  - name: DNSSEC
  - name: Locations
  - name: Lookup
  - name: Metrics
  - name: NetworkMappings
  - name: Pickers
  - name: RRsets
  - name: SecondaryZones
  - name: Zones
paths:
  /dns/v2/secondary-zones:
    get:
      tags:
        - SecondaryZones
      summary: List secondary zones
      description: List secondary zones with dns-api pagination parameters.
      operationId: ListSecondaryZones
      parameters:
        - name: offset
          in: query
          description: Amount of records to skip before beginning to write in response.
          schema:
            type: integer
            format: uint64
        - name: limit
          in: query
          description: Max number of records in response
          schema:
            type: integer
            format: uint64
      responses:
        '200':
          description: ListSecondaryZonesResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSecondaryZonesResponse'
        '400':
          description: SecondaryZoneErrorResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneErrorResponse'
        '502':
          description: SecondaryZoneErrorResponse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecondaryZoneErrorResponse'
components:
  schemas:
    ListSecondaryZonesResponse:
      type: object
      properties:
        total:
          type: integer
          format: int64
        total_amount:
          type: integer
          format: int64
        zones:
          type: array
          items:
            $ref: '#/components/schemas/SecondaryZoneResponse'
    SecondaryZoneErrorResponse:
      type: object
      properties:
        code:
          type: string
        error:
          type: string
        message:
          type: string
    SecondaryZoneResponse:
      type: object
      properties:
        client_id:
          type: integer
          format: int64
        created_at:
          type: string
          format: date-time
        enabled:
          type: boolean
        id:
          type: integer
          format: int64
        last_serial:
          type: integer
          format: int64
        last_transfer_at:
          type: string
          format: date-time
        meta:
          type: object
          additionalProperties:
            type: object
        poll_interval:
          type: integer
          format: int64
        transfer_mode:
          type: string
        tsig_algorithm:
          type: string
        tsig_key_name:
          type: string
        updated_at:
          type: string
          format: date-time
        use_tls:
          type: boolean
        zone_name:
          type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````